/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_AKAMARU_H__
#define __KIBA_AKAMARU_H__

#define ROPE_OBJECT_DISTANCE (dsettings->rope_object_distance / 10)

typedef struct {
  KibaDock      *dock;
  AkamaruObject *object;
  double         spacer_size;
} AddSpacerClosure;

/* initiall akamaru engine */
void
kiba_akamaru_init (KibaDock *dock);

/* add spacer (for object reflection) */
void
add_spacer (AkamaruObject *object,
            void          *data);      //type: AddSpacerClosure

/* reload all spacer */
void
kiba_reload_spacers (KibaDock *dock);

void
kiba_add_object_spring (KibaDock *dock);

void
kiba_delete_object_spring (KibaDock *dock);

/*******
ROPE
*******/
void
kiba_add_rope_object (KibaDock   *dock,
                      KibaObject *object);

gboolean
kiba_rope_anchor (KibaDock *dock);

void
kiba_add_rope_spring (KibaDock *dock,
                      double    factor);

void
kiba_delete_rope_spring (KibaDock *dock);

void
kiba_add_rope_strings (KibaDock *dock);

void
kiba_delete_rope_strings (KibaDock *dock);

void
kiba_update_rope_positions (KibaDock   *dock,
                            KibaObject *object);

/*******
WOBBLY
*******/
void
kiba_add_wobbly_spring (KibaDock *dock);

void
kiba_delete_wobbly_spring (KibaDock *dock);

#endif
