/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_EVENTS_H__
#define __KIBA_EVENTS_H__

gboolean
kiba_expose_event (GtkWidget      *widget,
                   GdkEventExpose *event);

gboolean
kiba_scroll_event (GtkWidget      *widget,
                   GdkEventScroll *event);

gboolean
kiba_button_press_event (GtkWidget      *widget,
                         GdkEventButton *event);

gboolean
kiba_button_release_event (GtkWidget      *widget,
                           GdkEventButton *event);

gboolean
kiba_motion_notify_event (GtkWidget      *widget,
                          GdkEventMotion *event);

gboolean
kiba_drag_motion (GtkWidget       *widget,
                  GdkDragContext  *drag_context,
                  gint             x,
                  gint             y,
                  guint            time);

void
kiba_drag_leave (GtkWidget       *widget,
                 GdkDragContext  *drag_context,
                 guint            time);

void
kiba_drag_data_received (GtkWidget       *widget,
                         GdkDragContext  *drag_context,
                         gint              x,
                         gint              y,
                         GtkSelectionData *selection_data,
                         guint             info,
                         guint             time);

gboolean
kiba_enter_notify_event (GtkWidget        *widget,
                         GdkEventCrossing *event);

gboolean
kiba_leave_notify_event (GtkWidget         *widget,
                         GdkEventCrossing  *event);

#endif
