/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_GEOMETRY_H__
#define __KIBA_GEOMETRY_H__

void
kiba_show (GtkWidget *widget);

void
kiba_map (GtkWidget *widget);

gint
kiba_hide (gpointer data);

gint
kiba_unhide (gpointer data);

void
kiba_check_hide (KibaDock *dock,
                 int       mouse_x,
                 int       mouse_y,
                 gboolean  object_size_modified);
void
kiba_correct_placement (KibaDock *dock);

/* update dock geometry */
void
kiba_layout (KibaDock *dock);

/* update object window geometry and glitz drawable */
void
kiba_dock_update_geometry (KibaDock   *dock,
                           KibaObject *object);

void
kiba_animate_position_changes (KibaDock *dock,
                               gboolean  zooming); // TRUE if any object is zoomed

void
kiba_set_position (KibaDock         *dock,
                   KibaDockPosition  position);

int
kiba_find_closest_position (KibaDock *dock,
                            int        x,
                            int        y);

void
set_position_from_string (KibaDock    *dock,
                          const char  *string);

void
kiba_modify_bg_offset (KibaDock  *dock,
                       int        mouse_x,
                       int        mouse_y);

#endif
